Update Network Interface State

Update Network Interface State

Only Solution users, Container admins, and System admins can update NetworkInterfaceStates.

Request
URI
PUT
https://{api_host}/container-service/api/resources/network-interfaces/{id}
COPY
Path Parameters
string
id
Required

The id of the NetworkInterfaceState


Request Body

The NetworkInterfaceState to be updated.

NetworkInterfaceState of type(s) application/json
Required
{
    "documentExpirationTimeMicros": "string",
    "address": "string",
    "endpointLink": "string",
    "deviceIndex": 0,
    "documentUpdateTimeMicros": "string",
    "subnetLink": "string",
    "securityGroupLinks": [
        "string"
    ],
    "networkInterfaceDescriptionLink": "string",
    "documentSelfLink": "string",
    "tagLinks": [
        "string"
    ],
    "name": "string",
    "networkLink": "string",
    "groupLinks": [
        "string"
    ],
    "tenantLinks": [
        "string"
    ],
    "id": "string"
}
string
documentExpirationTimeMicros
Optional

documentExpirationTimeMicros

string
address
Optional

address

string
endpointLink
Optional

endpointLink

integer As int32 As int32
deviceIndex
Optional

deviceIndex

string
documentUpdateTimeMicros
Optional

documentUpdateTimeMicros

string
subnetLink
Optional

subnetLink

array of string
securityGroupLinks
Optional

securityGroupLinks

object
customProperties
Optional

customProperties

string
networkInterfaceDescriptionLink
Optional

networkInterfaceDescriptionLink

string
documentSelfLink
Optional

documentSelfLink

array of string
tagLinks
Optional

tagLinks

string
name
Optional

name

string
networkLink
Optional

networkLink

array of string
groupLinks
Optional

groupLinks

array of string
tenantLinks
Optional

tenantLinks

string
id
Optional

id

Responses
200

'OK' is returned when the NetworkInterfaceState is updated.

Operation doesn't return any data structure